Team
Update team member
Update an agency employee's commission percentage, hourly wage or emoji preferences. Only supplied fields are changed.
PATCH
/v1/agencies/{agencyId}/team/employees/{employeeId}/compensationUpdate an agency employee's commission percentage, hourly wage or emoji preferences. Only supplied fields are changed.
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
agencyId*string
Length
1 <= lengthemployeeId*string
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X PATCH "https://example.com/v1/agencies/string/team/employees/string/compensation" \ -H "Authorization: Bearer YOUR_API_KEY" \ -H "Content-Type: application/json" \ -d '{ "data": {} }'{ "data": { "agencyId": "string", "isOwner": true, "id": "string", "updatedAt": "2019-08-24T14:15:22Z", "imported": true, "importedAt": null, "color": null, "employeeId": "string", "roleId": null, "rate": null, "hourlyWage": null, "joinedAt": "2019-08-24T14:15:22Z", "removedAt": null, "emojis": [ "string" ] }, "meta": { "requestId": "string", "operationId": "3051932a-fdd2-48fa-b330-7e7d41535969", "status": "COMPLETED" }}